html {
    scroll-behavior: smooth;
}
body {
    overflow-x: hidden;
}
header h1 {
    font-size: 20px;
    color: white;
    letter-spacing: 3px;
    font-weight: normal;
    text-transform: uppercase;
    text-align: center;
}
header {
    background-image: url(./img/header_bg.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    height: 100vh;
    width: 100vw;
}




/*Nav-mobile/Header*/
.navbar__container {
    display: flex;
    justify-content: right;
    align-items: center;
    padding: 15px 15px 0 15px;
}
.navbar__container-links {
    position: absolute;
    right: 0px;
    height: 100vh;
    top: 0;
    background-image: url(./img/header_bg.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transform: scale(6);
    flex-direction: column;
    align-items: center;
    width: 100vw;
    transform: translateX(100%);
    padding-left: 0;
    margin: 0;
    z-index: 1;
    transition: 2s;
    display: none;
}
.navbar__container-links-li a {
    transition: 0.8s;
}
.navbar__container-links-li {
    list-style: none;
    opacity: 0;
    margin: 2em;
    text-align: center;
}
.navbar__container-links-li:first-child {
    margin-top: 30vw;
}
.navbar__container-links-li a:hover {
    color: white;
    transition: 0.8s;
}
.navbar__container-burger {
    display: block;
    cursor: pointer;
    z-index: 1;
}
.navbar__container-burger div{
    width: 19px;
    height: 1px;
    background-color: white;
    margin: 3px;
    transition: all 0.3s ease;
    transition: ease-in-out 0.5s;
}
.navbar__container-burger .navbar__container-burger--line2 {
    width: 10px;
    transition: ease-in-out 0.5s;
}
.navbar__container-burger .navbar__container-burger--line2 {
    transition: ease-in-out 0.5s;
}
.nav-active {
    transform: translateX(0%);
    z-index: 1;
    transition: 1s;
    display: flex;
    animation: scroll 0.5s;
}
.navbar__container-links img {
    width: 80px;
    height: 80px;
}
.navbar__logo a {
    display: block;
    width: 150px;
    height: auto;
    margin: 0 auto;
}
.navbar__logo img {
    width: 100%;
    height: 100%;
}

.logo a {
    display: block;
    width: 80px;
    height: 80px;
    margin: 0 auto;
}
.logo img {
    width: 100%;
    height: 100%;
}

.toggle .navbar__container-burger--line1 {
    transform: rotate(-45deg) translate(0px, 6px);
    transition: ease-in-out 0.5s;
}
.toggle .navbar__container-burger--line2 {
    opacity: 0;
    transition: 0.2s;
}
.toggle .navbar__container-burger--line3 {
    transform: rotate(45deg) translate(0px, -6px);
    transition: ease-in-out 0.5s;
}
.navbar__container-links--parent a {
    color: #FFFFFF;
    text-decoration: none;
}
.navbar__container-links--parent {
    display: flex;
    align-items: center;
}
.navbar__container-links--parent a {
    margin-left: 10px;
}
.navbar__container-links--parent.active>.navbar__container-links--child {
    display: block;
    animation: visible 0.5s ease-in-out;
}
.navbar__container-links--child {
    display: none;
    padding-left: 0;
    left: 150%;
    top: 0;
}
.navbar__container-links--child a {
    margin: 0;
}
.navbar__button {
    content: url(./ico/arrow.svg);
    height: 15px;
    width: 15px;
    background-repeat: no-repeat;
    color: var(--border--blue);
    transform: rotate(90deg);
    transition: 0.5s;
    padding: 0px 10px;
}
.navbar__button.active  {
    transform: rotate(180deg);
    transition: 0.5s;
}
.navbar__container-links--child li {
    line-height: 30px;
    width: 100%;
    margin: 0 !important;
    background-color: rgba(243, 243, 243, 0.2);
    transition: 1s ease;
    list-style: none;
}
.navbar__container-links--child li a {
    color: var(--text--light);
    padding: 5px;
    display: block;
    text-align: left;
    font-size: 14px;
}
.navbar__container-links--child li:hover {
    background-color: rgba(243, 243, 243, 0.7);
    transition: 1s ease;
}
@keyframes visible {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes navLinkFade {
    from {
        opacity: 0;
        transform: translateX(50px);
    }
    to {
        opacity: 1;
        transform: translateX(0px);
    }
}
@keyframes scroll {
    from {
        transform: translateX(100%);
    }
    to {
        transform: translateX(0%);
    }
}
.heading {
    position: absolute;
    transform: translateX(-50%);
    bottom: 50%;
    left: 50%;
}
.heading__slogan {
    margin: 10px auto 0 auto;
    text-align: center;
    width: 300px;
    font-size: 16px;
}
.service-links {
    display: flex;
    flex-direction: column;
    padding: 0;
    position: absolute;
    bottom: 40px;
    margin: 0;
    transform: translateX(-50%);
    left: 50%;
    width: 100vw;
}
.service-links li {
    list-style: none;
    margin: 5px;
    text-align: center;
}
.service-links a {
    text-decoration: none;
    color: white;
    display: block;
    font-size: 16px;
    width: 50%;
    margin: 0 auto;
    padding: 5px;
}





/*Main*/

.gray {
    background-color: var(--bg-color--gray);
}

.blue {
    background-color: var(--bg-color--blue);
}


section {
    padding: 40px 15px 20px 15px;
}

h2 {
    margin: 0 auto 10px auto;
    padding-bottom: 1px;
    width: fit-content;
}



/*Úvod*/

.experience ul {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0;
}

.experience li {
    list-style: none;
    padding: 10px 0;
    text-align: center;
}

.services__flex {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.services__flex figure {
    margin: 30px auto;
}

.services__flex a {
    display: flex;
    display: block;
    flex-direction: column;
    height: 100%;
    width: 100%;
    margin: 0 auto;
}

.services__flex img {
    width: 200px;
    height: 100px;
    opacity: 0.4;
    transition: ease-in-out 0.5s;
}

.services__flex a:hover>img {
    opacity: 1;
    transition: ease-in-out 0.5s;
}

.services__flex__caption {
    display: block;
    text-align: center;
    margin-top: 10px;
}

.aboutus div {
    max-width: 300px;
    padding-top: 10px;
    margin: 0 auto 40px auto;
}

.aboutus p {
    margin: 0;
}

.aboutus__more {
    display: block;
    margin: 0 auto 30px auto;
    text-decoration: none;
    width: fit-content;
    padding: 10px 20px;
    border: 3px solid var(--bg-color--blue);
    transition: 0.5s ease;
    border-radius: 25px;
}
.aboutus__more:hover {
    border: 3px solid var(--border--blue);
    transition: 0.5s ease;
    background-color: var(--bg-color--blue);
}

.icon-envelop {
    content: url(./ico/envelop.svg);
    margin-right: 10px;
}
.prefooter {
    padding: 15px;
}
.prefooter a {
    display: flex;
    text-decoration: none;
    align-items: center;
    justify-content: center;
    margin: 15px auto;
}
.prefooter__heading {
    font-size: 18px;
    text-transform: uppercase;
    margin: 10px auto;
    display: block;
    text-align: center;
}
.icon-mobile {
    content: url(./ico/smartphone.svg);
    margin-right: 10px;
}


.prefooter__contact {
    margin: 10px auto;
    display: flex;
    flex-direction: column;
}

.coop-gallery {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.coop-gallery figure {
    margin: 30px auto;
    width: 80px;
    height: 80px;
}

.coop-gallery img {
    width: 100%;
    height: 100%;
    transition: 0.5s;
}
.coop-gallery img:hover {
    transform: scale(1.2);
    transition: 0.5s;
}

.coop-gallery a {
    display: block;
}

.bottom-logo {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.bottom-logo figure {
    margin: 30px auto 0 auto;
    width: 120px;
    height: 120px;
}

.bottom-logo a {
    display: block;
}

.bottom-logo img {
    width: 100%;
    height: 100%;
}

.copyright {
    margin: 10px auto 50px auto;
}

/*Služby*/
.secondary-header {
    height: 300px;
}
.secondary-header .logo a {
    width: 100px;
    height: 100px;
}
.secondary-header h1 {
    margin: 50px auto;
}
.secondary-header .nav-links {
    z-index: 1;
}
.secondary-header .burger {
    z-index: 1;
}
.secondary-header .nav-links li {
    margin: 2em;
}
.secondary-header .nav-links li:first-navbar__container__links__child {
    margin-top: 4em;
}







/*Služby*/
.induction {
    max-width: 400px;
    padding: 15px;
    margin: 0 auto;
}
.induction li {
    list-style: none;
    text-align: center;
    margin: 5px;
}
.induction ul {
    padding: 0;
}









/*Certifikace*/
.white__right-block div {
    margin: 20px auto;
    max-width: 600px;
}
.white__left-block div {
    margin: 20px auto;
    max-width: 600px;
}
.gray__left-block div {
    max-width: 600px;
    margin: 20px auto;
}
.gray__right-block figure{
    width: 100px;
    height: 80px;
    margin: 20px auto;
}
.gray__right-block img{
    width: 100%;
    height: 100%;
}
.white__right-block figure{
    width: 100px;
    height: 80px;
    margin: 20px auto;
}
.white__right-block img{
    width: 100%;
    height: 100%;
}
.white__left-block figure{
    width: 100px;
    height: 80px;
    margin: 20px auto;
}
.white__left-block img {
    height: 100%;
    width: 100%;
}






/*Reference*/

.flex-gallery {
    display: flex;
    flex-direction: column;
    justify-content: center;
    line-height: 0;
}
.flex-gallery figure {
    position: relative;
    margin: 0;
    overflow: hidden;
    max-height: 250px;
}
.flex-gallery a {
    display: block;
    height: fit-content;
    margin-bottom: -3px;
}
.flex-gallery img {
    width: 100%;
    height: 100%;
    opacity: 0.9;
    transition: 0.5s ease;
}
.flex-gallery img:hover {
    width: 100%;
    height: 100%;
    opacity: 1;
    transition: 0.5s ease;
    transform: scale(1.2);
}
.flex-gallery div {
    position: absolute;
    bottom: 45%;
    transform: translateX(-50%);
    left: 50%;
    color: var(--text--light);
    font-size: 14px;
    text-transform: uppercase;
    line-height: 1.5;
    text-align: center;
}


/*Poradenstvi*/

.flex-box {
    display: flex;
    flex-direction: column;
    padding: 15px;
    justify-content: center;
}
.flex-box__articles {
    max-width: 400px;
    margin: 0 auto;
}
.flex-box figure {
    margin: 20px auto;
    width: 100px;
    height: 100px;
}
.flex-box img {
    width: 100%;
    height: 100%;
}
.gallery-awards {
    display: flex;
    flex-direction: column;
}
.gallery-awards__img {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    content: "";
    width: 100%;
    height: 100%;
    transition: 0.5s;
    border: 1px solid var(--border--blue);
    border-radius: 5px;
}
.gallery-awards__img--award1 {
    background-image: url(./img/award_1.png);
}
.gallery-awards__img--award2 {
    background-image: url(./img/award_2.png);
}
.gallery-awards__img--award3 {
    background-image: url(./img/award_3.jpg);
}
.gallery-awards a {
    display: block;
    width: 250px;
    height: 200px;
    transition: 0.5s;
    margin: 20px auto;

}
.gallery-awards a:hover>.gallery-awards__img {
    transform: scale(1.1);
    transition: 0.5s;
}




/*Kontakt*/

.flexbox-contact {
    display: flex;
    flex-direction: column;
}
.flexbox-contact__block {
    display: flex;
    flex-direction: column;
}
.flexbox-contact__block figure {
    width: 150px;
    height: 150px;
    margin: 20px auto;
}
.flexbox-contact__block .img {
    content: "";
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100%;
    width: 100%;
    border-radius: 50%;
}
.flexbox-contact__block:first-child .img {
    background-image: url(./img/jindrak.jpg);
}
.flexbox-contact__block:last-child .img {
    background-image: url(./img/jindrakova.jpg);
}
.flexbox-contact__block__name {
    font-size: 16px;
    text-transform: uppercase;
    color: var(--border--blue);
    text-align: center;
}
.flexbox-contact__block__name::after{
    content: "";
    border-radius: 50%;
    display: flex;
    flex-direction: column;
    width: 15px;
    height: 15px;
    background-color: var(--border--blue);
    margin: 10px auto;
}
.flexbox-contact__block a {
    text-decoration: none;
    color: var(--text--dark);
    text-align: center;
    margin: 5px auto;
    align-items: center;
    font-size: 14px;
    display: flex;
    vertical-align: middle;
}
.flexbox-contact__block span {
    height: 18px;
    width: auto;
}
.adress {
    padding: 40px 30px;
}
.adress__flex {
    display: flex;
    flex-direction: column;  
}
.adress__map {
    margin: 20px auto;
    width: 280px;
    height: 220px;
}
.adress__block {
    display: flex;
    flex-direction: column;
}
.adress__block span {
    display: block;
    width: fit-content;
    margin: 5px auto;
}
.icon-point {
    content: url(./ico/adress-point.svg);
    width: 25px;
    height: auto;
    padding: 10px;
}

/*O nás*//*O nás*//*O nás*/

.profile__block {
    display: flex;
    flex-direction: column;
}
.profile__block span {
    display: block;
    text-transform: uppercase;
    font-size: 16px;
    margin: 0 auto;
}
.profile__block figure {
    width: 200px;
    height: 250px;
    margin: 20px auto;
}
.profile__block img {
    width: 100%;
    height: 100%;
}
.profile__logo {
    margin: 0px auto;
    width: 150px;
    height: 150px;
}
.profile__logo img {
    height: 100%;
    width: 100%;
}
.profile__block__description {
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 15px;
    margin: 0 auto;
    padding-top: 0;
    max-width: 250px;
}
.profile__block__description li {
    list-style: none;
    display: flex;
    margin-top: 10px;
    line-height: 1.2;
    align-items: flex-start;
}

.profile__block__description p {
    width: 280px;
    margin: 0;
}
.profile__line {
    content: "";
    width: 5px;
    height: 80px;
    background-color: var(--border--blue);
    margin: 40px auto;
    border-radius: 5px;
}
.first-epd__article {
    display: flex;
    flex-direction: column;
}
.first-epd__article p {
    max-width: 400px;
    margin: 10px auto;
}
.first-epd__flex {
    display: flex;
    flex-direction: column;

}
.first-epd__flex figure {
    width: 280px;
    height: 180px;
    margin: 20px auto;
}
.first-epd__flex img {
    width: 100%;
    height: 100%;
}
.cooperation__gallery {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    margin: 20px auto;
    max-width: 400px;
}
.cooperation__gallery a {
    text-decoration: none;
    display: block;
}
.cooperation__gallery figure {
    position: relative;
    width: 150px;
    height: 150px;
    margin: 0;
}
.cooperation__gallery img {
    width: 100%;
    height: 100%;
    transition: 0.5s ease;
}
.cooperation__gallery div {
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
    bottom: 50%;
    width: 100%;
    text-align: center;
    color: var(--text--light);
    opacity: 0;
    transition: 0.5s ease;
}
.cooperation__gallery a:hover> img {
    filter: brightness(50%);
    transition: 0.5s ease;
}
.cooperation__gallery a:hover> div {
    opacity: 1;
    transition: 0.5s ease;
}






/*MEADIAQ*//*MEADIAQ*//*MEADIAQ*//*MEADIAQ*/

@media (min-width: 400px) {
    header {
        background-position: center;
    }
    .block--width {
        max-width: 600px;
        margin: 0 auto;
    }
    .heading__slogan {
        width: 300px;
    }

    
}
@media (min-width: 500px) {
    .cooperation__gallery figure {
        width: 200px;
        height: 200px;
    }
    .flex-box__articles {
        max-width: 500px;
    }
}
@media (min-width: 768px) { 
    .navbar__container {
        padding: 30px 30px 0 30px;
    }
    .block--width {
        max-width: 900px;
    }
    .services__flex {
        flex-direction: row;
    }
    section {
        padding: 40px 30px 40px 30px;
    }
    .aboutus div {
        max-width: 600px;
    }
    header h1 {
        margin-top: 40vh;
    }.heading__slogan {
        width: 500px;
    }
    .service-links {
        flex-direction: row;
        justify-content: space-around;
        max-width: 1400px;
    }
    .service-links li {
        margin: 0;
    }
    .service-links a {
        width: unset;
        margin: 0;
    }
    .header--width {
        max-width: 800px;
        margin: 0 auto;
    }

    .induction {
        max-width: 600px;
    }
    .induction li {
        margin: 10px;
    }
    .adress__map {
        margin: 20px auto;
        width: 500px;
        height: 300px;
    }
    .flex-gallery {
        flex-direction: row;
        flex-wrap: wrap;
        width: 100%;
    }
    .flex-gallery figure {
        width: 50vw;
        max-height: 200px;
    }
    .profile .block--width {
        flex-direction: row;
        display: flex;
}

@media (min-width: 1020px) {
    
    /*NAVIGACE*/
    nav {
        display: flex;
        flex-direction: row-reverse;
        justify-content: space-between;
        max-width: 1400px;
        margin: 0 auto;
        padding: 30px;
    }
    .navbar__container-links {
        position: initial;
        display: flex;
        background-image: unset;
        flex-direction: row;
        justify-content: right;
        width: 100%;
        height: 50px;
        padding-left: 0;
        margin: 0;
        transform: translateX(0);
    }
    .navbar__container {
        padding: 0;
    }
    .navbar__container-links li {
        opacity: 1;
        margin: 10px 20px;
    }
    .navbar__container-links li:first-child {
        margin: 10px 20px;
    }
    .navbar__container-burger {
        display: none;
    }
    .navbar__container-links--parent {
        margin-right: 0 !important; 
        position: relative;
    }
    .navbar__container-links--parent a {
        color: #FFFFFF;
        text-decoration: none;
        margin: 0;
    }
    .navbar__container-links--parent:hover>.navbar__container-links--child {
        display: block;
        animation: visible 0.5s ease-in-out;
    }
    .navbar__container-links--child {
        display: none;
        position: absolute;
        padding-top: 0px;
        padding-left: 0;
        left: 0;
        top: 100%;
        width: 200px;
    }
    
    .navbar__container-links--child li {
        line-height: 30px;
        width: 100%;
        margin: 0 !important;
        background-color: rgba(243, 243, 243, 0.2);
        transition: 1s ease;
    }
    
    .navbar__container-links--child li a {
        color: var(--text--light);
        padding: 5px;
        display: block;
        text-align: left;
    }
    .navbar__container-links--parent .navbar__container-links--child ul{
        left: 100%;
        top: 10px;
        margin-left: 1px;
    }
    
    .navbar__container-links--child li:hover {
        background-color: rgba(243, 243, 243, 0.7);
        transition: 1s ease;
    }
    .navbar__container-links--parent:hover>.navbar__button {
        transform: rotate(180deg);
    }
    @keyframes visible {
        from {
            opacity: 0;
        }
        to {
            opacity: 1;
        }
    }
    .navbar__logo a{
        width: 200px;
    }
    /*NAVIGACE*//*NAVIGACE*//*NAVIGACE*/
    


    .block--width {
        max-width: 1400px;
    }

    /*PRE-FOOTER*//*PRE-FOOTER*//*PRE-FOOTER*//*PRE-FOOTER*/
    .prefooter {
        padding: 0 30px;
    }
    .prefooter__heading {
        height: fit-content;
        padding: 30px 50px 30px 0;
        border-right: 3px solid var(--border--blue);
        margin-left: 0;
    }
    .prefooter .block--width {
        display: flex;
        flex-direction: row;
        align-items: center;
        max-width: 1200px;
    }
    .prefooter__contact a {
        margin: 15px 0;
        justify-content: left;
        font-size: 18px;
    }


    /*FOOTER*//*FOOTER*//*FOOTER*//*FOOTER*/
    footer {
        padding: 0 30px;
    }
    footer .block--width {
        display: flex;
        flex-direction: row-reverse;
        flex-wrap: nowrap;
        justify-content: space-between;
        max-width: 1200px;
    }
    footer .coop-gallery {
        flex-direction: row;
        justify-content: space-around;
        align-items: center;
        width: 100%;
    }
    .coop-gallery figure {
        width: 50px;
        height: 50px;
        margin: 50px auto;
    }
    .bottom-logo {
        flex-direction: row;
        align-items: center;
        width: 30%;
        justify-content: unset;
    }
    .bottom-logo div {
        margin: 0 0 0 20px;
        font-size: 14px;
        border-right: 3px solid var(--border--blue);
        padding: 30px 90px 30px 0;
    }
    .bottom-logo figure {
        margin: 0;
        width: 50px;
        height: 50px;
    }
    .services--block--width {
        padding: 50px 20px
    }
    


     /*Kontakt*//*Kontakt*//*Kontakt*//*Kontakt*/
    .flexbox-contact {
        flex-direction: row;
        justify-content: center;
    }
    .flexbox-contact__block {
        margin: 50px;
    }
    .flexbox-contact__block figure {
        width: 200px;
        height: 200px;
    }
    .adress__flex {
        flex-direction: row;
        align-items: center;
        justify-content: center;
        margin: 50px auto;
    }
    .adress__map {
        width: 600px;
        height: 400px;
        margin: 30px;
        margin-left: 0;
    }
    .adress__block {
        margin: 30px;
    }

    .gray__left-block div {
        max-width: 800px;
    }
    .white__right-block div{
        max-width: 800px;
    }
    .reverse {
        display: flex;
        flex-direction: row-reverse;
        align-items: center;
        justify-content: center;
    }
    .normal {
        flex-direction: row;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .gray__right-block {
        margin-left: 200px;
    }
    .white__left-block {
        margin-right: 200px;
    }
    .cooperation__gallery {
        max-width: 700px;
    }
    .cooperation__gallery figure {
        width: 210px;
        height: 210px;
    }
    .articles--maxwidth {
        max-width: 1920px;
        margin: 0 auto;
    }
    .flex-gallery figure {
        width: 33.3%;
        max-height: 300px;
    }

    /*O nas*//*O nas*//*O nas*//*O nas*/
    .about-us div {
        max-width: 1000px;
    }
    .profile .block--width {
        display: flex;
        flex-direction: row;
        max-width: 1200px;
        justify-content: center;
    }
    .profile__line {
        height: 5px;
        width: 70px;
        margin: 10px;
    }
    .profile__block figure {
        width: 250px;
        height: 320px;
    }
    .first-epd__flex {
        flex-direction: row;
        align-items: center;
        justify-content: center;
    }
    .first-epd__flex figure {
        width: 350px;
        height: 230px;
        margin: 40px;
    }
    .first-epd__article p {
        max-width: 600px;
    }
    .reference .flex-gallery figure {
        width: 25%;
    }
    .flex-box {
        flex-direction: row;
        padding: 50px 30px;
        max-width: 1000px;
        margin: 0 auto;
    }
    .flex-box__articles {
        max-width: 600px;
    }
    .gallery-awards {
        flex-direction: row;
        justify-content: space-around;
        padding: 30px;
        max-width: 1200px;
        margin: 0 auto;
    }
    .profile__container {
        display: flex;
        flex-direction: row;
        align-items: center;
    }
}
@media (min-width: 1200px) {
    .profile__line {
        height: 5px;
        width: 100px;
    }
}


@keyframes navLinkFade {
    from {
        opacity: 0;
        transform: translateX(50px);
    }

    to {
        opacity: 1;
        transform: translateX(0px);
    }
}

.toggle .line1 {
    transform: rotate(-45deg) translate(0px, 6px);
    transition: ease 0.2s;
}

.toggle .line2 {
    opacity: 0;
    transition: 0.2s;
}

.toggle .line3 {
    transform: rotate(45deg) translate(0px, -6px);
    transition: ease 0.2s;
}
}